import os

def read_annotations(folder_path):
    files = []
    annotations = []
    
    for filename in os.listdir(folder_path):
        if len(filename) > 0 and filename.endswith('.txt') and filename != 'classes.txt':
            file_path = os.path.join(folder_path, filename)
            with open(file_path, 'r') as file:
                annotation = file.read()
                annotations.append(annotation)
                files.append(file_path)
    return annotations, files


def copy_to_class(classType, folder_path):
    print(folder_path)


def get_annotations(sub_folder):
    
    annotations, files = read_annotations(sub_folder)

    for i, annotation in enumerate(annotations):
        print(annotation[0], files[i])
        copy_to_class(annotation[0], files[i])


def read_dataset(folder_path):
    subFolderList = os.listdir(folder_path)

    if (len(subFolderList) > 0):
        for subFolderPath in subFolderList:
            # print(folder_path + subFolderPath)
            get_annotations(folder_path + subFolderPath)

    else:
        print("there is no folder")

read_dataset('./tray-1-2-3/')

